Skip to content

CollateralService⁠

Manage collateral records.

Operations⁠

createCollateral⁠

POST

Creates collateral.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
CollateralNumberstringoptional
POST/nexum/{sym}/2022.01/collateral/createCollateral
POST /nexum/627/2022.01/collateral/createCollateral HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralCollHold⁠

POST

Creates collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralCollHoldLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralCollHold
POST /nexum/627/2022.01/collateral/createCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCollHoldCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralDocument⁠

POST

Creates collateral document.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralDocumentLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralDocument
POST /nexum/627/2022.01/collateral/createCollateralDocument HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralDocumentTracking⁠

POST

Creates collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CollateralDocumentTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralDocumentTracking
POST /nexum/627/2022.01/collateral/createCollateralDocumentTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentTrackingCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralTracking⁠

POST

Creates collateral tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralTracking
POST /nexum/627/2022.01/collateral/createCollateralTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralTrackingCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralCollHold⁠

POST

Deletes collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralCollHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/collateral/deleteCollateralCollHold
POST /nexum/627/2022.01/collateral/deleteCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}